<div wire:poll.10s="loadApplication" class="max-w-2xl mx-auto mt-10 flex flex-col gap-6">
    <div class="max-w-2xl md:w-2xl mx-auto mt-10">
        @if ($application->status === 0)
            <div class="p-5 mb-4 dark:bg-pink-950/50 rounded-lg">
            @elseif ($application->status === 1)
                <div class="p-5 mb-4 dark:bg-green-950/50 rounded-lg">
                @elseif ($application->status === 2)
                    <div class="p-5 mb-4 dark:bg-red-950/50 rounded-lg">
        @endif

        <flux:heading size="xl">Application</flux:heading>
        @php
            $status = [
                0 => 'Pending Review',
                1 => 'Approved',
                2 => 'Denied',
            ];
        @endphp
        <flux:text class="mt-2">
            <p>
                <strong>Status:</strong>
                {{ $status[$application->status] }}
            </p>
            @if ($application->registration_token)
                <p class="pt-2 pb-2">
                    <strong>Registration Token (valid until
                        {{ $application->updated_at->addWeek()->format('Y-m-d') }})</strong>
                </p>
                <flux:input class="mb-2" icon="key" value="{{ $application->registration_token }}" readonly
                    copyable />
                To sign up, you should use <flux:link href="https://element.lolispace.moe">Element Web</flux:link> or
                Element Desktop, as the authentication token is not compatible
                with the mobile clients.
            @endif
        </flux:text>
    </div>

    @if ($application->status === 0)
        <div class="p-5 mb-4 dark:bg-pink-950/50 rounded-lg">
            <flux:heading size="xl">Message</flux:heading>
            <flux:text class="mt-2">
                {{ $application->message }}
            </flux:text>
        </div>

        <h2 class="mt-4 font-semibold">Uploaded Photos:</h2>
        <div class="flex flex-wrap gap-4 mt-4">
            @foreach ($application->uploads as $upload)
                <div>
                    <img class="h-48 w-fit object-cover rounded-2xl hover:-translate-y-1 hover:scale-110 transition duration-300 ease-in-out"
                        src="{{ asset('storage/' . $upload->file_path) }}">
                </div>
            @endforeach
        </div>
    @endif
</div>
</div>
